summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorGordon Malm <gengor@gentoo.org>2009-01-02 22:14:18 +0000
committerGordon Malm <gengor@gentoo.org>2009-01-02 22:14:18 +0000
commit40a2a29734023f0f9958fb3f6d6c4b1bc52727f0 (patch)
tree5bb7b2aaae8750536fe1a27d292d936c22e701a6 /eclass
parentadd app-i18n/chinput to app-i18n/unicon mask (diff)
downloadhistorical-40a2a29734023f0f9958fb3f6d6c4b1bc52727f0.tar.gz
historical-40a2a29734023f0f9958fb3f6d6c4b1bc52727f0.tar.bz2
historical-40a2a29734023f0f9958fb3f6d6c4b1bc52727f0.zip
Add some fno-strict-overflow stuff we missed. Thanks Magnus Granberg (Zorry).
Diffstat (limited to 'eclass')
-rw-r--r--eclass/flag-o-matic.eclass5
-rw-r--r--eclass/toolchain-funcs.eclass8
2 files changed, 11 insertions, 2 deletions
diff --git a/eclass/flag-o-matic.eclass b/eclass/flag-o-matic.eclass
index 4922307fd74f..b8a41ee43ccc 100644
--- a/eclass/flag-o-matic.eclass
+++ b/eclass/flag-o-matic.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/flag-o-matic.eclass,v 1.127 2008/12/21 21:40:49 solar Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/flag-o-matic.eclass,v 1.128 2009/01/02 22:14:18 gengor Exp $
# @ECLASS: flag-o-matic.eclass
# @MAINTAINER:
@@ -77,6 +77,9 @@ _filter-hardened() {
-fstack-protector-all)
gcc-specs-ssp-to-all || continue
is-flagq -fno-stack-protector-all || append-flags -fno-stack-protector-all;;
+ -fno-strict-overflow)
+ gcc-specs-nostrict || continue
+ is-flagq -fstrict-overflow || append-flags -fstrict-overflow;;
esac
done
}
diff --git a/eclass/toolchain-funcs.eclass b/eclass/toolchain-funcs.eclass
index 1de8eaec052d..bc982bd39e15 100644
--- a/eclass/toolchain-funcs.eclass
+++ b/eclass/toolchain-funcs.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-funcs.eclass,v 1.79 2008/09/16 06:40:21 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-funcs.eclass,v 1.80 2009/01/02 22:14:18 gengor Exp $
# @ECLASS: toolchain-funcs.eclass
# @MAINTAINER:
@@ -375,6 +375,12 @@ gcc-specs-ssp-to-all() {
directive=$(gcc-specs-directive cc1)
return $([[ ${directive/\{!fno-stack-protector-all:} != ${directive} ]])
}
+# Returns true if gcc builds with fno-strict-overflow
+gcc-specs-nostrict() {
+ local directive
+ directive=$(gcc-specs-directive cc1)
+ return $([[ ${directive/\{!fstrict-overflow:} != ${directive} ]])
+}
# @FUNCTION: gen_usr_ldscript